Bug 182733 - [new port] databases/rubygem-redis-actionpack
Summary: [new port] databases/rubygem-redis-actionpack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 09:20 UTC by loic.blot
Modified: 2013-10-24 19:50 UTC (History)
0 users

See Also:


Attachments
rubygem-redis-actionpack.shar (1.79 KB, text/plain)
2013-10-06 09:20 UTC, loic.blot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2013-10-06 09:20:00 UTC
	Here is a dependancy error on ports/182730. Please use this PR instead.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-10-08 03:18:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

reclassify and assign.
Comment 2 dfilter service freebsd_committer 2013-10-24 19:41:25 UTC
Author: swills
Date: Thu Oct 24 18:41:12 2013
New Revision: 331511
URL: http://svnweb.freebsd.org/changeset/ports/331511

Log:
  Redis session store for ActionPack
  
  WWW: http://redis-store.org/redis-actionpack
  
  PR:		ports/182733
  Submitted by:	Loic Blot <loic.blot@unix-experience.fr>

Added:
  head/databases/rubygem-redis-actionpack/
  head/databases/rubygem-redis-actionpack/Makefile   (contents, props changed)
  head/databases/rubygem-redis-actionpack/distinfo   (contents, props changed)
  head/databases/rubygem-redis-actionpack/pkg-descr   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Thu Oct 24 18:32:24 2013	(r331510)
+++ head/databases/Makefile	Thu Oct 24 18:41:12 2013	(r331511)
@@ -875,6 +875,7 @@
     SUBDIR += rubygem-pg
     SUBDIR += rubygem-rbase
     SUBDIR += rubygem-redis
+    SUBDIR += rubygem-redis-actionpack
     SUBDIR += rubygem-redis-namespace
     SUBDIR += rubygem-rubyrep
     SUBDIR += rubygem-seed-fu

Added: head/databases/rubygem-redis-actionpack/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/rubygem-redis-actionpack/Makefile	Thu Oct 24 18:41:12 2013	(r331511)
@@ -0,0 +1,21 @@
+# $FreeBSD$
+
+PORTNAME=	redis-actionpack
+PORTVERSION=	4.0.0
+CATEGORIES=	databases rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	ruby@FreeBSD.org
+COMMENT=	Redis session store for ActionPack
+
+RUN_DEPENDS=	rubygem-actionpack4>=4:${PORTSDIR}/www/rubygem-actionpack4 \
+		rubygem-redis-store>=1.1.0:${PORTSDIR}/devel/rubygem-redis-store \
+		rubygem-redis-rack>=1.5.0:${PORTSDIR}/www/rubygem-redis-rack
+
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+
+NO_STAGE=	yes
+
+.include <bsd.port.mk>

Added: head/databases/rubygem-redis-actionpack/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/rubygem-redis-actionpack/distinfo	Thu Oct 24 18:41:12 2013	(r331511)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/redis-actionpack-4.0.0.gem) = e49029df46b15434591962cc004a1f0b07ab11276e00fd53ec835b85c7064d55
+SIZE (rubygem/redis-actionpack-4.0.0.gem) = 9216

Added: head/databases/rubygem-redis-actionpack/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/rubygem-redis-actionpack/pkg-descr	Thu Oct 24 18:41:12 2013	(r331511)
@@ -0,0 +1,3 @@
+Redis session store for ActionPack
+
+WWW: http://redis-store.org/redis-actionpack
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-10-24 19:41:50 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!